---
type: api
title: Read a KnowledgeBase
description: **Spaces method and path for this operation:**
url: https://www.elastic.co/elastic/docs-builder/docs/4371/api/doc/kibana/v8/operation/operation-readknowledgebase
resource: https://www.elastic.co/elastic/docs-builder/docs/4371/api/doc/kibana/v8/operation/operation-readknowledgebase
products:
  - Kibana
---

# Read a KnowledgeBase

- Server: `https://{kibana_url}`

## Paths

- `GET` `/api/security_ai_assistant/knowledge_base/{resource}`
- `GET` `/s/{space_id}/api/security_ai_assistant/knowledge_base/{resource}`

- [Api key auth](/elastic/docs-builder/docs/4371/api/doc/kibana/v8/authentication#apikeyauth)
- [Basic auth](/elastic/docs-builder/docs/4371/api/doc/kibana/v8/authentication#basicauth)

#### Path Parameters

- `resource` (string)
  The KnowledgeBase `resource` value.

## Description

Refer to [Spaces](https://www.elastic.co/docs/deploy-manage/manage-spaces) for more information.

Read a single KB

## Responses

#### `200`

Indicates a successful call.

`application/json`

- `elser_exists` (boolean)
  Indicates if the ELSER model exists for the KnowledgeBase.
- `is_setup_available` (boolean)
  Indicates if the setup process is available for the KnowledgeBase.
- `is_setup_in_progress` (boolean)
  Indicates if the setup process is currently in progress.
- `product_documentation_status` (string)
  The status of the product documentation in the KnowledgeBase.
- `security_labs_exists` (boolean)
  Indicates if Security Labs documentation exists in the KnowledgeBase.
- `user_data_exists` (boolean)
  Indicates if user data exists in the KnowledgeBase.
#### `400`

Generic Error

`application/json`

- `error` (string)
  A short description of the error.
- `message` (string)
  A detailed error message.
- `statusCode` (number)
  The HTTP status code of the error.
## Code Examples

#### Console

```console
GET /api/security_ai_assistant/knowledge_base/{resource}
```

#### curl

```curl
curl -X GET "https://{kibana_url}/api/security_ai_assistant/knowledge_base/{resource}"
```

